package com.gh.gamecenter.setting.compose.provider

import android.content.Context
import android.os.Build
import androidx.annotation.RequiresApi
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IUsageStatsHelperProvider
import com.gh.gamecenter.core.utils.ToastUtils

@com.therouter.inject.ServiceProvider
class UsageStatsHelperProviderImpl : IUsageStatsHelperProvider {
    @RequiresApi(Build.VERSION_CODES.LOLLIPOP_MR1)
    override fun checkForPermission(): Boolean {
        return false
    }

    override fun skipToUsageStats(context: Context, requestCode: Int) {
        ToastUtils.toast("调用->UsageStatsHelperProviderImpl.skipToUsageStats")
    }
}